﻿@model List<eCommerce.UI.ViewModels.CategoryViewModel>
@using eCommerce.Services.Model.Enums

@if (Model.Any())
{

    foreach (var category in Model.Where(x => x.ParentCategoryId == null))
    {
        if (Model.Any(x => x.ParentCategoryId == category.CategoryId))
        {
            if (category.MenuClickable)
            {
                <li>
                    <a id="shop" href="/shop/@category.SeoUrl">@category.Name</a>
                </li>
            }
            else
            {
                <li>
                    <!-- <a id="shop" href="/shop/category.SeoUrl">category.Name</a> -->
                    <span id="shop">@category.Name</span>
                    <ul>
                        @{
                            var child_categories_1 = Model.Where(x => x.ParentCategoryId == category.CategoryId);
                        }

                        @foreach (var item in child_categories_1)
                        {
                            <li class="category">

                                @if (item.MenuClickable)
                                {
                                    <a href="/shop/@item.SeoUrl">@item.Name</a>
                                }
                                else
                                {
                                    if (Model.Any(X => X.ParentCategoryId == item.CategoryId))
                                    {
                                        <span>@item.Name</span>
                                        <ul>
                                            @{
                                                var child_categories_2 = Model.Where(X => X.ParentCategoryId == item.CategoryId);
                                            }
                                            @foreach (var thirdLevel in child_categories_2)
                                            {
                                                <li class="category">
                                                    <a href="/shop/@thirdLevel.SeoUrl">@thirdLevel.Name</a>
                                                </li>
                                            }

                                            <li><a href="/shop/@item.SeoUrl">Ver todos</a></li>
                                        </ul>
                                    }
                                    else
                                    {
                                        <a href="/shop/@item.SeoUrl">@item.Name</a>
                                    }
                                }
                            </li>
                        }
                        <li><a href="/shop/@category.SeoUrl">Ver todos</a></li>
                    </ul>
                </li>
            }
        }
        else
        {
            <li>
                <a id="@category.Name" href="/shop/@category.SeoUrl">@category.Name</a>
            </li>

        }
    }
}

@*<li>
        <a href="/contacto" class="menu__item">Contacto</a>
    </li>*@

<li class="normal-links">
    <a href="/institucional/CambiosyDevoluciones">¿Cómo comprar?</a>
</li>
<li class="normal-links">
    <a href="/faq">Preguntas frecuentes</a>
</li>
<li class="normal-links">
    <a href="/faq">Sobre nosotros</a>
</li>
<li class="normal-links">
    <a href="/contacto">Contacto</a>
</li>

<script>

</script>
